## org.eclipse.contribution.visualiser.markerImpl
Class MarkerMarkupProvider.StripeWithMarker

    java.lang.Object
      org.eclipse.contribution.visualiser.core.Stripe
          org.eclipse.contribution.visualiser.markerImpl.MarkerMarkupProvider.StripeWithMarker

All Implemented Interfaces:
  java.lang.Comparable

Enclosing class:
  MarkerMarkupProvider

public class MarkerMarkupProvider.StripeWithMarker
extends Stripe

Constructor Summary
`MarkerMarkupProvider.StripeWithMarker(IMarkupKind k, int i, org.eclipse.core.resources.IMarker marker)` Stripe constructor when the stripe is of the minimum depth (1).

Method Summary
`org.eclipse.core.resources.IMarker` `getMarker()`

Methods inherited from class org.eclipse.contribution.visualiser.core.Stripe
`addKinds, compareTo, equals, getDepth, getKinds, getOffset, getToolTip, hashCode, hasKind, setDepth, setKinds, setOffset, stringifyKinds, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MarkerMarkupProvider.StripeWithMarker

    public MarkerMarkupProvider.StripeWithMarker(IMarkupKind k,
                                                 int i,
                                                 org.eclipse.core.resources.IMarker marker)

  Stripe constructor when the stripe is of the minimum depth (1).

Parameters:
  `k` - The kind of stripe
  `i` - The offset down the bar where the stripe starts

Method Detail

### getMarker

    public org.eclipse.core.resources.IMarker getMarker()